import { MutableRefObject } from 'react';
interface UseClickAwayReturnType {
    enable(): void;
    disable(): void;
}
/**
 * @useClickAway - Listens for clicks outside the element.
 * @param ref - MutableRefObject
 * @param  onClickAway - callback
 * @return {enable} - function
 * @return {disable} - function
 */
export declare const useClickAway: (ref: MutableRefObject<HTMLElement | null>, onClickAway: () => void) => UseClickAwayReturnType;
export {};
