/// <reference types="react" />
type GenericObject = Record<string, any>;
type ChangeEventType = React.ChangeEvent<HTMLInputElement>;
type SubmitEventType = React.FormEvent<HTMLFormElement>;
interface UseFormReturnTypes {
    onChangeHandler(_e: ChangeEventType): void;
    onSubmitHandler(_e: SubmitEventType): void;
    formInputs: GenericObject;
    errors: GenericObject;
}
/**
 * @useForm - custom hook
 * @param initialInputValue
 * @param submitCallback
 * @returns { onChangeHandler - function}
 * @returns { onSubmitHandler - function}
 * @returns { formInputs - object}
 * @returns { errors - object}
 */
export declare const useForm: (initialInputValue: GenericObject, submitCallback: (_values: GenericObject) => void, inputValidator: (_values: GenericObject) => GenericObject) => UseFormReturnTypes;
export {};
