import { Dispatch, SetStateAction } from 'react';
/**
 * @useLocalStorage - Custom hook - Store, retrieve, and synchronize data from the browser’s localStorage API with useLocalStorage
 * @param key - string
 * @param initialValue - T (*any type of data)
 * @returns {[savedValue, setSavedValue]} - Array
 */
export declare const useLocalStorage: <T>(key: string, initialValue: T) => [T | null, Dispatch<SetStateAction<T | null>>];
